<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__i2c__macros__slave__status" kind="group">
    <compoundname>group_scb_i2c_macros_slave_status</compoundname>
    <title>I2C Slave Status</title>
      <sectiondef kind="define">
      <memberdef id="group__group__scb__i2c__macros__slave__status_1ga2e400c423f7250710ddda059ff554c10" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_SLAVE_RD_BUSY</name>
        <initializer>(0x00000001UL)</initializer>
        <briefdescription>
<para>There is a read transaction in progress. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="748" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="748" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__slave__status_1ga1cdebdd1275e23a1e08030fad09672a7" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_SLAVE_RD_IN_FIFO</name>
        <initializer>(0x00000002UL)</initializer>
        <briefdescription>
<para>All read data has been loaded into the TX FIFO, applicable only if the TX FIFO is used. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="754" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="754" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__slave__status_1ga8445a80c064b85b48f4cb89afa4880ae" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_SLAVE_RD_CMPLT</name>
        <initializer>(0x00000004UL)</initializer>
        <briefdescription>
<para>The master has finished reading data from the slave. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="759" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="759" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__slave__status_1ga9804bb839aeb7a7334ae610ada4496ca" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_SLAVE_RD_UNDRFL</name>
        <initializer>(0x00000008UL)</initializer>
        <briefdescription>
<para>Set when the master tried to read more bytes than available in the configured read buffer. </para>        </briefdescription>
        <detaileddescription>
<para>The slave is not able to finish the transaction and sends <ref kindref="member" refid="group__group__scb__i2c__macros_1gad56a26de596ed39516b91adc50db4bf9">CY_SCB_I2C_DEFAULT_TX</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="766" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="766" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__slave__status_1ga53cab9166005ca6c89ed24a4871bb5bd" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_SLAVE_WR_BUSY</name>
        <initializer>(0x00000010UL)</initializer>
        <briefdescription>
<para>There is a write transaction in progress. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="769" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="769" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__slave__status_1ga0e917e7b1f8b297bb97716a0a742a14a" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_SLAVE_WR_CMPLT</name>
        <initializer>(0x00000020UL)</initializer>
        <briefdescription>
<para>The master has finished writing data into the slave. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="774" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="774" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__slave__status_1ga72fb4c9b77ebeb06e36f7b74eb9f0a6f" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_SLAVE_WR_OVRFL</name>
        <initializer>(0x00000040UL)</initializer>
        <briefdescription>
<para>The master attempted to write more bytes than space available in the configured Write buffer. </para>        </briefdescription>
        <detaileddescription>
<para>Note that all subsequent bytes are dropped. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="780" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="780" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__slave__status_1ga63fcc61bddf39d12a85172f776a34d7b" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_SLAVE_ARB_LOST</name>
        <initializer>(0x00000080UL)</initializer>
        <briefdescription>
<para>The slave lost arbitration, and the transaction was aborted. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="783" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="783" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__slave__status_1ga70d17df38c669816f83e69ac8ab02753" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_SLAVE_BUS_ERR</name>
        <initializer>(0x00000100UL)</initializer>
        <briefdescription>
<para>The slave captured an error on the bus during a master transaction (source of error is misplaced Start or Stop). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="789" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="789" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Macros to check current I2C slave status returned by <ref kindref="member" refid="group__group__scb__i2c__slave__functions_1gab3e1c474d6a5c7c5547ea08aa5d59e22">Cy_SCB_I2C_SlaveGetStatus</ref> function. </para>    </briefdescription>
    <detaileddescription>
<para>Each I2C slave status is encoded in a separate bit, therefore multiple bits may be set to indicate the current status. </para>    </detaileddescription>
  </compounddef>
</doxygen>